#! /usr/bin/env python3

#    Copyright 2016, 2023 Denis Salem
# 
#    This file is part of VenC.
#
#    VenC is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    VenC is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VenC.  If not, see <http://www.gnu.org/licenses/>.

class Messages:
    blog_created = "Votre blog a été créé !"
    blogs_created = "Vos blogs ont été créés !"
    chapter_has_a_wrong_index = "Dans la publication #{0}, le format de l'index du chapitre n'est pas correct : {1}."
    theme_installed = "Le thème a bien été installé !"
    entry_written = "La publication a bien été ajoutée : {0}"
    file_not_found = "{0} : ce fichier ou ce dossier n'existe pas."
    file_already_exists = "{0} : {1} : le fichier existe déjà."
    invalid_entry_filename = "{0} : nom de fichier invalide pour une publication."
    blog_name = "Nom du blog"
    blog_url = "L'URL du blog"
    missing_params = "{0} : paramètres manquants."
    cannot_read_in = "{0} : impossible de lire dans {1}."
    nothing_to_do = "Rien à faire."
    unknown_command = "{0} : commande inconnue."
    no_blog_configuration = "Le fichier de configuration du blog n'existe pas ou vous n'avez pas les bonnes permissions."
    missing_mandatory_field_in_blog_conf = "Attention, le champ \"{0}\" est manquant dans le fichier de configuration principal du blog."
    username="Nom d'utilisateur : "
    user_passwd="Mot de passe utilisateur : "
    ftp_host="Nom d'hôte FTP"
    ftp_path="Chemin absolu de votre blog sur l'hôte FTP."
    sync_ftp_directory="Synchronisation de la destination avec les données locales..."
    possible_malformed_entry="La publication {0} est probablement mal formée... {1} Abandon."
    export_single_entries="Exportation locale des publications individuelles..."
    export_archives="Exportation locale des publications groupées par dates..."
    export_main_thread="Exportation locale du principal fil de publications."
    export_categories="Exportation locale des publications groupées par catégories..."
    export_chapters="Exportation locale des chapitres..."
    wrong_args_number="Mauvais nombre d'arguments : attendu {0}, reçu {1}."
    unknown_pattern="Le motif '{0}' n'existe pas."
    unknown_contextual="La variable contextuel {0} n'existe pas ou n'est pas disponible ici."
    arg_blog_name="Nom du blog {0}"
    arg_entry_name="Nom de la publication"
    arg_template_name="Nom du template"
    arg_input_filename="Nom de fichier"
    blog_folder_doesnt_exists="Le dossier de destination n'existe pas... VenC s'en fiche et va en faire un nouveau."
    theme_doesnt_exists = "{0} : ce thème n'existe pas."
    unknown_text_editor = "{0} : éditeur de texte inconnu."
    theme_name = "Nom du thème"
    unknown_language="Pygments : {0} : langage inconnu."
    pre_process="Pré-traitement du thème et des publications..."
    directory_not_copied="Le dossier ne peut être copié. Erreur : {0}"
    variable_error_in_filename="Erreur de variable dans le fichier de configuration principale, où les chemins et noms de fichier sont définis : {0} n'existe pas."
    wrong_pattern_argument="L'argument '{0}' = '{1}' du motif '{2}' n'est pas correct : {3}"
    pattern_argument_must_be_integer="L'argument doit être un entier positif."
    wrong_permissions = "{0} : vous n'avez pas les bonnes permissions d'accès sur ce fichier."
    unknown_markup_language = "{0} : langage de balisage non supporté dans {1}."
    tex_math_error = "Chaîne mal formée ou balise non supportée par latex2mathml."
    missing_separator_in_entry = "Il manque le séparateur {0}."
    unknown_provider = "{0} est un fournisseur oEmbed inconnu."
    connectivity_issue = "Une erreur de connexion est survenue : {0}"
    ressource_unavailable = "{0} : ressource non disponible."
    response_is_not_json = "{0} : la réponse HTTP n'est pas du JSON : {1}"
    server_port_is_invalid = "\"{0}\" n'est pas un numéro de port valide."
    serving_blog = "Serveur actif sur le port : {0}."
    invalid_or_missing_metadata = "\"{0}\" : valeur de métadonnée invalide ou absente dans la publication \"{1}\"."
    malformed_patterns_missing_closing_symbols = "Motifs mal formés dans \"{0}\" : il manque {1} symboles de fermeture."
    malformed_patterns_missing_opening_symbols = "Motifs mal formés dans \"{0}\" : il manque {1} symboles d'ouverture."
    loading_entries = "Chargement des publications..."
    chapter_already_exists = "Les chapitres \"{0}\" (id = {1}) et \"{2}\" (id = {3}) ont le même index \"{4}\"."
    copy_assets_and_extra_files = "Copie des fichiers additionnels..."
    task_done_in_n_seconds = "Tâche réalisée en {0} secondes."
    nothing_to_serv = "Rien à faire. Essayez venc -xb d'abord."
    theme_has_no_description = "Ce thème n'a pas de description."
    undefined_variable = "{0} n'est  pas défini dans \"{1}\"."
    entry_has_no_metadata_like = "La publication \"{0}\" ne possède pas la métadonnée identifiée par \"{1}\"."
    blog_has_no_metadata_like = "Le blog ne possède pas la métadonnée identifiée par {0}."
    invalid_range = "Plage de nombres invalide {0}:{1}."
    entry_metadata_is_not_a_list = "La métadonnée \"{0}\" de la publication {1} n'est pas une liste."
    blog_metadata_is_not_a_list = "La métadonnée \"{0}\" dans le fichier de configuration du blog n'est pas une liste."
    item_deleted_from_server = "Supprimé du serveur : {0}"
    item_uploaded_to_server = "Transféré sur le serveur : {0}"
    cannot_retrieve_entry_attribute_because_wrong_id = "Impossible de récupérer l'attribut de la publication parce que l'id renseigné est inconnu."
    id_must_be_an_integer = "L'identifiant doit être un nombre entier."
    there_is_no_chapter_with_index = "Il n'y a pas de chapitre ayant l'index \"{0}\"."
    chapter_has_no_attribute_like = "Le chapitre n'a pas d'attribut \"{0}\"."
    start_thread = "Lancement du fil d'exécution n°{0}."
    link_entries = "Mise en lien des publications une à une..."
    process_non_parallelizable = "Traitement des motifs non parallélisables..."
    module_not_found = "La dépendance optionnelle \"{0}\" n'est pas installée."
    in_ = "Dans {0} :"
    arg_must_be_an_integer = "L'argument \"{0}\" doit être un nombre entier."
    syntax_error = "Erreur de syntaxe : un motif ne peut pas commencer par \":.\"."
    current_entry_is_overriding_the_following = "La publication #{0} écrase les publications suivantes :\n{1}"
    argument_does_not_match_with_any_entries_subset="L'argument ne correspond à aucun sous-ensemble de publications."
    pattern_recursion_error= "Erreur de récursion dans le motif \"{0}\", la fonction s'appelle trop de fois."
    the_following_is_overriden = "Le paramètre \"{0}\" est remplacé par \"{1}\" depuis {2}."
    full_documentation_there = "Documentation complète ici : {0}."
    exception_place_holder = "{0}"
    categories_parse_error = "Catégories mal construites : {0} ne fait pas référence à une liste."
    do_not_use_in_production = "Pour des raisons de sécurité, ne pas utiliser en production !"
    you_cannot_use_this_pattern_here = "Vous ne pouvez pas utiliser le motif {0} dans \"{1}\"."
    this_template_need_the_following_argument = "Le template \"{0}\" requiert que l'agument {1} soit défini."
    this_template_has_no_arguments = "Ce template n'a pas d'arguments."
    field_is_not_of_type = "Le champ \"{0}\" dans {1} n'est pas du type {2}."
    chapter_has_no_entry = "Le chapitre {0} ne correspond à aucune publication."
    this_pattern_is_embed_in_the_name_of_another_one = "Le pattern {0} est intégré dans le nom d'un autre."
    not_installed = "n'est pas installé."
    chapter_type_is_ambiguous = "L'index du chapitre de la publication #{0} est de type float et est donc ambigu. Le type devrait être str ou int."
    current_python_implementation_doesnt_support_parallelism = "L'implémentation courante de Python ne supporte pas le parallélisme."
    no_parallel_processing_default_value = "Aucune valeur définie explicitement pour \"parallel_processing\" dans votre fichier de configuration.\nPar défaut, VenC utilisera {0} processus parallèles."
    wrong_value_for_parallel_processing = "La valeur de \"parallel_processing\" dans votre fichier de configuration est incorrecte, il doit s'agir d'un nombre entier supérieur à 0."
    invalid_variable_name_in_setting = "Variable {0} incorrecte dans \"{1}\" dans votre fichier de configuration."
    invalid_value_in_setting = "La valeur \"{0}\" dans \"{1}\", dans votre fichier de configuration, est incorrecte."
    # Will not be hooked by l10n_cleanup
    generating_rss = "Génération du flux RSS..."
    generating_atom = "Génération du flux Atom..."
    
